%define major	0.5
%define libname %mklibname %{name} _%{major}
%define devname %mklibname %{name} -d


Name:		codec2
Version:	0.5
Release:	%mkrel 1
Summary:	An open source speech codec for 2400 bit/s and below
Group:		Communications
License:	LGPLv2
Url:		http://www.rowetel.com/blog/?page_id=452
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.xz
Source1:	mk-tar
#--------------------------------------
BuildRequires:	cmake
BuildRequires:	%{_lib}speex1-devel
#--------------------------------------

%description
Codec2 is an open source low bit rate speech codec designed for communications
quality speech between 1200 and 3200 bit/s. Applications include low bandwidth
HF/VHF digital radio and VOIP trunking. Codec 2 operating at 2400 bit/s can
send 26 phone calls using the bandwidth required for one 64 kbit/s uncompressed
phone call. It fills a gap in open source, free-as-in-speech voice codecs
beneath 5000 bit/s.

#----------------------------
%package -n %{libname}
Summary:	Dynamic library files for linking with %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic library files for linking with %{name}

#----------------------------
%package -n %{devname}
Summary:	Development files for building packages using %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for building packages using %{name}

%prep
%setup -q

%build
%cmake

%install
rm -rf %buildroot
%makeinstall_std -C build

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r raw wav script %{buildroot}%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%files
%doc COPYING README README_fdmdv.txt
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Thu Jan 07 2016 bb <bb> 0.5-1pclos2016
- import from france for gnuradio
